<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

if (!class_exists('ETFI_ExtractTextAdmin')) :
class ETFI_ExtractTextAdmin {

    
    public function __construct() {
        ETFI_ExtractTextAdmin::etfi_admin_init();
    }

    
    private function etfi_admin_init() {
        ETFI_ExtractTextAdmin::Actions();
    }

    function etfi_admin_menu() {
    add_menu_page('Extract Text From Image ETFI', 'Extract Text From Image ETFI', 'manage_options', 'extract-text-from-image-etfi', array($this, 'etfi_extract_text_setting'),'dashicons-format-image');
 	        
    }

    
    private function Actions() {
        add_action('admin_menu', array($this, 'etfi_admin_menu'));
       
    }

 function etfi_extract_text_setting(){
        //Add template
        require_once plugin_dir_path( __DIR__ ).'admin/template/ExtractTextConfg.php';
    }
      
}
endif;